package com.sckw.system.dao;

import com.sckw.system.model.SysArea;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 行政区域
 * @author zk
 * @date 2023-05-31
 */
@Mapper
public interface SysAreaDao {

    List<Map<String, Object>> findList(Map<String, Object> params);

    SysArea selectById(Integer code);

    List<SysArea> selectByIds(List<Integer> list);

    List<SysArea> findAllArea(@Param(value = "code") Integer code);
}
